Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal
Class NameGenerator

    java.lang.Object
      org.hibernate.hql.internal.NameGenerator

    public final class NameGenerator

extends Object

Provides utility methods for generating HQL / SQL names. Shared by both the 'classic' and 'new' query translators.

Method Summary
`static String[][]` | `generateColumnNames(Type[] types, SessionFactoryImplementor f)`
`static String` | `scalarName(int x, int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### generateColumnNames

    public static String[][] generateColumnNames(Type[] types,
                                                 SessionFactoryImplementor f)
                                          throws MappingException

  Throws:
    `MappingException`

### scalarName

    public static String scalarName(int x,
                                    int y)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.